NAUTY-PRODUCTG(1)

NAME
nauty-productg - product of two graphs (such as Cartesian product)

SYNOPSIS
productg [-u|-c|-l|-L|-k|-t|-a#] [infile [outfile]]

DESCRIPTION

    Read two graphs in graph6/sparse6 format and write their product

    in sparse6 or dreadnaut format. -d : Dreadnaut format (default is sparse6)

-c : Cartesian product

-l : Lexicographic product (G1[G2])

-L : Lexicographic product (G2[G1])

-t : Tensor (Kronecker, categorical) product

-k : Complete (strong, normal) product

-a# : general case (argument is a 3-digit octal number)

    Add these values giving the condition for an edge:

Code:
    400 200 100 040 020 010 004 002 001

Graph1: same same
    same adj adj adj nonadj nonadj nonadj

Graph2: same
    adj nonadj same adj nonadj same adj nonadj

-u : Disjoint union

-q : Suppress informative output